Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.jsr223
[Java] Class ScriptStaticExtensions

    java.lang.Object
      org.codehaus.groovy.jsr223.ScriptStaticExtensions

    public class ScriptStaticExtensions

This class defines new Java 6 specific static groovy methods which extend the normal JDK classes inside the Groovy environment.

Method Summary
`static javax.script.ScriptEngine` | `$static_propertyMissing(javax.script.ScriptEngineManager self, java.lang.String languageShortName)` Provides a convenient shorthand for accessing a Scripting Engine with name `languageShortName` using a newly created `ScriptEngineManager` instance.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### $static_propertyMissing

    public static javax.script.ScriptEngine $static_propertyMissing(javax.script.ScriptEngineManager self, java.lang.String languageShortName)

  Provides a convenient shorthand for accessing a Scripting Engine with name `languageShortName` using a newly created `ScriptEngineManager` instance.
  Parameters:
    `self` - Placeholder variable used by Groovy categories; ignored for default static methods
    `languageShortName` - The short name of the scripting engine of interest
  Returns:
    the ScriptEngine corresponding to the supplied short name or null if no engine was found
  Since:
    1.8.0

Groovy Documentation